Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Schlange<Typ>

    java.lang.Object
      sum.strukturen.Liste<Typ>
          sum.strukturen.Schlange<Typ>

All Implemented Interfaces:
  Serializable

    public class Schlange<Typ>

extends Liste<Typ>
implements Serializable

Die Schlange ist eine FIFO-Struktur.
Sie kann als Schlange mit einem Inhaltstyp deklariert werden. Wird dieser weggelassen, liefert die Anfrage kopf bzw. erstes ein Object und es wird Typkonversion nötig.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`Schlange()` Eine neue leere Schlange wird erzeugt.

Method Summary
`void` | `entferneErstes()` Das erste Element der Schlange wird entfernt.
`void` | `entferneKopf()` Das erste Element der Schlange wird entfernt.
`Typ` | `erstes()` Das erste Objekt der Schlange wird zurückgegeben.
`void` | `haengeAn(Typ pInhalt)` Ein neues Objekt wird an das Ende der Schlange angehängt.
`Typ` | `kopf()` Das erste Objekt der Schlange wird zurückgegeben.

Methods inherited from class sum.strukturen.Liste
`aktuellePosition, aktuelles, aktuellesElement, entferneAktuelles, entferneAlleElemente, ersetzeAktuelles, ersterKnoten, fuegeDahinterEin, fuegeDavorEin, geheZuPosition, haengeListeAn, istAmAnfang, istAmEnde, istDahinter, istDavor, istLeer, laenge, letzterKnoten, loescheAktuelles, position, setzeDavor, setzeListeDavor, toString, vor, zumAnfang, zumEnde, zurueck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Schlange

    public Schlange()

  Eine neue leere Schlange wird erzeugt.

Method Detail

### entferneErstes

    public void entferneErstes()

  Das erste Element der Schlange wird entfernt.

### entferneKopf

    public void entferneKopf()

  Das erste Element der Schlange wird entfernt.

### erstes

    public Typ erstes()

  Das erste Objekt der Schlange wird zurückgegeben.

  Returns:
    das erste Objekt der Schlange

### haengeAn

    public void haengeAn(Typ pInhalt)

  Ein neues Objekt wird an das Ende der Schlange angehängt.

  Overrides:
    `haengeAn` in class `Liste<Typ>`
  Parameters:
    `pInhalt` - der neue Inhalt (Objekt)

### kopf

    public Typ kopf()

  Das erste Objekt der Schlange wird zurückgegeben.

  Returns:
    das erste Objekt der Schlange

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD